Subject: [bug#39990] [PATCH] gnu: Update python-statsmodels to 0.11.1.

From: Efraim Flashner <[email-masked]>
Date: Mon, 9 Mar 2020 12:45:49 +0200

On Sun, Mar 08, 2020 at 11:19:06PM +0100, Roel Janssen wrote:
> Dear Guix,
> 
> I'd like to update python-statsmodels because I'm packaging something
> that requires a newer version.
> 
> The patch is trivial, but I'm unsure whether it would trigger too many
> rebuilds.  How do I check this?

'guix refresh --list-dependent python-statsmodels' will give you a list of leaf
packages affected by this package. As a python package, you should also
check the python2- variant, so 'guix refresh -l python-statsmodels
python2-statsmodels'

> From d093fc2baac1102685b4d14bd8bfed2d20da2545 Mon Sep 17 00:00:00 2001
> From: Roel Janssen <[email-masked]>
> Date: Sun, 8 Mar 2020 23:16:34 +0100
> Subject: [PATCH] gnu: Update python-statsmodels to 0.11.1.
> 
> * gnu/packages/statistics.scm (python-statsmodels): Update to 0.11.1.
> ---
>  gnu/packages/statistics.scm | 4 ++--
>  1 file changed, 2 insertions(+), 2 deletions(-)
> 
> diff --git a/gnu/packages/statistics.scm b/gnu/packages/statistics.scm
> index 12d8a20766..13d64be498 100644
> --- a/gnu/packages/statistics.scm
> +++ b/gnu/packages/statistics.scm
> @@ -1880,14 +1880,14 @@ building design matrices.")
>  (define-public python-statsmodels
>    (package
>      (name "python-statsmodels")
> -    (version "0.9.0")
> +    (version "0.11.1")
>      (source
>       (origin
>         (method url-fetch)
>         (uri (pypi-uri "statsmodels" version))
>         (sha256
>          (base32
> -         "0fxs8a7sp4d7jvqlm36yi45i2d28kjfvraf9q8i9jr1chhxgjqb4"))))
> +         "1w6mf8b86vizi2895j11szqryr2v1ckjig3wp9fv94aslfh3zpjv"))))
>      (build-system python-build-system)
>      (arguments
>       `(;; The test suite is very large and rather brittle.  Tests often fail
> -- 
> 2.25.1
> 

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted